[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.BorderStyle

The border style for this Form

## Declaration

Source position: forms.pp line 576

`public property TCustomForm.BorderStyle: TFormBorderStyle read FFormBorderStyle write SetFormBorderStyle default bsSizeable;`

## Description

Use borderstyle to get or set the appearance of the form's border.

By default it is a sizeable window, but it could, for example, be a dialog form or a tool window, or could be non-sizeable

This property is slightly different (has a differert base type) from the TCustomControl.BorderStyle

The latest version of this document can be found at lazarus-ccr.sourceforge.net.